Loading...
Searching...
No Matches
Dune::Amg::PropertiesGraphCreator< M, PI > Struct Template Reference

`#include <dune/istl/paamg/graphcreator.hh>`

Inheritance diagram for Dune::Amg::PropertiesGraphCreator< M, PI >:

## Public Types

typedef M::matrix_type | Matrix
typedef Dune::Amg::MatrixGraph< const Matrix > | MatrixGraph
typedef Dune::Amg::SubGraph< MatrixGraph, std::vector< bool > > | SubGraph
typedef Dune::Amg::PropertiesGraph< SubGraph, VertexProperties, EdgeProperties, IdentityMap, typename SubGraph::EdgeIndexMap > | PropertiesGraph
typedef std::tuple< MatrixGraph *, PropertiesGraph *, SubGraph * > | GraphTuple

## Static Public Member Functions

template<class OF, class T>
static GraphTuple | create (const M &matrix, T &excluded, PI &pinfo, const OF &of)
static void | free (GraphTuple &graphs)

## Member Typedef Documentation

## GraphTuple

template<class M, class PI>

typedef std::tuple<MatrixGraph*,PropertiesGraph*,SubGraph*> Dune::Amg::PropertiesGraphCreator< M, PI >::GraphTuple

## Matrix

template<class M, class PI>

typedef M::matrix_type Dune::Amg::PropertiesGraphCreator< M, PI >::Matrix

## MatrixGraph

template<class M, class PI>

typedef Dune::Amg::MatrixGraph<const Matrix> Dune::Amg::PropertiesGraphCreator< M, PI >::MatrixGraph

## PropertiesGraph

template<class M, class PI>

typedef Dune::Amg::PropertiesGraph<SubGraph, VertexProperties, EdgeProperties, IdentityMap, typename SubGraph::EdgeIndexMap> Dune::Amg::PropertiesGraphCreator< M, PI >::PropertiesGraph

## SubGraph

template<class M, class PI>

typedef Dune::Amg::SubGraph<MatrixGraph, std::vector<bool> > Dune::Amg::PropertiesGraphCreator< M, PI >::SubGraph

## Member Function Documentation

## create()

template<class M, class PI>
template<class OF, class T>

GraphTuple Dune::Amg::PropertiesGraphCreator< M, PI >::create | ( | const M & | matrix,
|  | T & | excluded,
|  | PI & | pinfo,
|  | const OF & | of )

inline static

## free()

template<class M, class PI>

void Dune::Amg::PropertiesGraphCreator< M, PI >::free | ( | GraphTuple & | graphs | ) |

inline static

The documentation for this struct was generated from the following file:

- graphcreator.hh